%define anolis_release 1
%global pkg_name pyqt5-sip
%global pypi_name PyQt5_sip
%global _sip_api_major 12
%global _sip_api_minor 11
%global _sip_api %{_sip_api_major}.%{_sip_api_minor}

Name:           python-%{pkg_name}
Version:        12.11.0
Release:        %{anolis_release}%{?dist}
Summary:        The sip module support for PyQt5

License:        GPLv2 or GPLv3
URL:            https://www.riverbankcomputing.com/software/sip/
Source0:        %{pypi_source}

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools} >= 30.3
BuildRequires:  %{py3_dist wheel}

%global _description %{expand:
The sip extension module provides support for the PyQt5 package.
}

%description %_description

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}
Provides: python3-pyqt5-sip-api(%{_sip_api_major}) = %{_sip_api}

%description -n python3-%{pkg_name} %_description

%package -n python3-%{pkg_name}-doc
Summary: Doc files for python3-%{pkg_name}
Requires: python3-%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description -n python3-%{pkg_name}-doc
Doc files for python3-%{pkg_name}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pkg_name}
%{python3_sitearch}/PyQt5_sip*
%{python3_sitearch}/PyQt5/
%license LICENSE LICENSE-GPL2 LICENSE-GPL3

%files -n python3-%{pkg_name}-doc
%doc README

%changelog
* Tue Nov 08 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 12.11.0-1
- init from upstream
